# osg::RefNodePath Class Reference

List of all members.

## Public Member Functions

| RefNodePath ()
| RefNodePath (const RefNodePath &refNodePath)
| RefNodePath (const NodePath &nodePath)
RefNodePath & | operator= (const RefNodePath &rhs)
RefNodePath & | operator= (const NodePath &rhs)
| operator NodePath () const
bool | valid () const
| Check the validity of the RefNodePath to ensure that the parent path matches those availble in the leaf node of the path.

## Constructor & Destructor Documentation

osg::RefNodePath::RefNodePath | ( |  | ) | `[inline]`

osg::RefNodePath::RefNodePath | ( | const RefNodePath & | refNodePath | ) | `[inline]`

osg::RefNodePath::RefNodePath | ( | const NodePath & | nodePath | ) | `[inline, explicit]`

## Member Function Documentation

osg::RefNodePath::operator NodePath | ( |  | ) | const`[inline]`

RefNodePath& osg::RefNodePath::operator= | ( | const NodePath & | rhs | ) | `[inline]`

RefNodePath& osg::RefNodePath::operator= | ( | const RefNodePath & | rhs | ) | `[inline]`

bool osg::RefNodePath::valid | ( |  | ) | const`[inline]`

| Check the validity of the RefNodePath to ensure that the parent path matches those availble in the leaf node of the path.

The documentation for this class was generated from the following file:

- RefNodePath